:root{
    --bg : #141414;
    --grid-bg: #bdbdbd;
    --win-color: #0ef16d;
    --button: #2ecc71;
    --button-clicked: #249c56;
    --button-shadow: rgba(46, 204, 113, 0.45);
    --button-6x6: #7f48e4;
    --button-6x6-clicked: #5f35ab;
    --button-6x6-shadow: #7f48e4d5;
}

body {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    min-height: 100vh;
    margin: 0;
    font-family: Arial, sans-serif;
    background-color: var(--bg);
}

h1, h2, label{color: white;}

.btn {
    padding: 2vh 15px;
    margin-inline: 5px;
    font-size: 14pt;
    background-color: var(--button);
    color: white;
    border: none;
    border-radius: 10px;
    cursor: pointer;
    box-shadow: 0 0 5px var(--button-shadow);
    transition: background-color 0.3s, box-shadow 0.3s;
}
.btn:hover {
    background-color: var(--button-clicked);
    box-shadow: 0 0 10px var(--button-shadow);
}


@media (max-width: 400px) {
    .btn{ padding-inline: 5px; }
}
